<?php

class Woocommerce
{
  public static function validatePassword($hash, $password)
  {
    if ( strlen($hash) <= 32 ) {
      return self::hashEquals($hash, md5($password));
    }

    return PasswordHash::init(8, true)->CheckPassword($password, $hash);
  }

  private static function hashEquals($a, $b) {
    $aLength = strlen($a);
    if ($aLength !== strlen($b)) {
      return false;
    }
    $result = 0;

    for ($i = 0; $i < $aLength; $i++) {
      $result |= ord($a[$i]) ^ ord($b[$i]);
    }

    return $result === 0;
  }
}